<div class="container edit-element-form">
  <form (submit)="updateButtonElement()">
    <input class="form-control" placeholder="Placeholder" [(ngModel)]="buttonPlaceholder" name="buttonPlaceholder">
    <label>Button type:</label>
    <app-select-dropdown
      [options]="buttonTypeOptions"
      [currentSelection]="buttonType"
      [defaultSelection]="'button'"
      (selected)="buttonTypeSelected($event)"
    >
    </app-select-dropdown>
    <app-color-picker
      [title]="'Background Color:'"
      [color]="backgroundColor"
      (colorSelected)="backgroundColorSelected($event)"
    >
    </app-color-picker>
    <app-color-picker
      [title]="'Font Color:'"
      [color]="fontColor"
      (colorSelected)="fontColorSelected($event)"
    >
    </app-color-picker>
    <label>Font weight:</label>
    <app-select-dropdown
      [options]="fontWeightOptions"
      [currentSelection]="fontWeight"
      [defaultSelection]="'normal'"
      (selected)="fontWeightSelected($event)"
    >
    </app-select-dropdown>
    <label>Font size:</label>
    <app-select-dropdown
      [options]="fontSizeOptions"
      [currentSelection]="fontSize"
      [defaultSelection]="'16px'"
      (selected)="fontSizeSelected($event)"
    >
    </app-select-dropdown>
    <label>Border thickness:</label>
    <app-select-dropdown
      [options]="borderWidthOptions"
      [currentSelection]="borderThickness"
      [defaultSelection]="'0px'"
      (selected)="borderThicknessSelected($event)"
    >
    </app-select-dropdown>
    <label>Border style:</label>
    <app-select-dropdown
      [options]="borderStyleOptions"
      [currentSelection]="borderStyle"
      [defaultSelection]="'solid'"
      (selected)="borderStyleSelected($event)"
    >
    </app-select-dropdown>
    <app-color-picker
      [title]="'Border Color:'"
      [color]="borderColor"
      (colorSelected)="borderColorSelected($event)"
    >
    </app-color-picker>
    <button type="submit" class="btn btn-primary">OK</button>
  </form>
</div>